[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.ShareImages

True when the handle for the image list is shared.

## Declaration

Source position: imglist.pp line 423

`public property TCustomImageList.ShareImages : Boolean read FShareImages write SetShareImages default False;`

## Description

ShareImages is a Boolean property that indicates if the handle for an image list is shared. When ShareImages contains False, the handle to the image list is freed when the image list is destroyed.

This property exists only for Delphi compatibility. ShareImages is not used in the current implementation of TCustomImageList.